Subject: Re: [PATCH] compat_ioctl: fix make headers_check regression

From: Andrew Morton <[email-masked]>
Date: Wed, 6 Jul 2011 16:11:32 -0700

On Thu, 7 Jul 2011 00:51:40 +0200
Johannes Stezenbach <[email-masked]> wrote:

> On Mon, Jul 04, 2011 at 12:03:16PM +0200, Johannes Stezenbach wrote:
> > Fix headers_check error introduced by 390192b30057:
> > 
> > include/linux/fd.h:6: included file 'linux/compat.h' is not exported
> > 
> > Signed-off-by: Johannes Stezenbach <[email-masked]>
> > ---
> > I used the same style as in linux/usbdevice_fs.h, hope
> > that's OK.
> 
> 
> I just got an "added to -mm tree" mail for the original patch, so I
> wonder what's with this fix?

What does the "original patch" refer to.

Also, there's no commit 390192b30057.  Commit ID's can change.  This is
why we ask people to also include the patch title when describing
patches by SHA ID's

Please let's just start again.  Tell us what is going on here.